%define upstream_name Test-Dir
%define upstream_version 1.014

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Test directory attributes
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Some simple tests on directories and folders.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

# Fix doc permissions
chmod 644 Changes META.yml README

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.14.0-3.mga6
+ Revision: 1034277
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.14.0-2.mga6
+ Revision: 968281
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.14.0-1.mga6
+ Revision: 851988
- imported package perl-Test-Dir

